| ## g_disre Main Table of Contents | VERSION 4.5 Thu 26 Aug 2010

### Description

g_disre computes violations of distance restraints. If necessary all protons can be added to a protein molecule using the protonate program.

The program always computes the instantaneous violations rather than time-averaged, because this analysis is done from a trajectory file afterwards it does not make sense to use time averaging. However, the time averaged values per restraint are given in the log file.

An index file may be used to select specific restraints for printing.

When the optional`-q` flag is given a pdb file coloured by the amount of average violations.

When the `-c` option is given, an index file will be read containing the frames in your trajectory corresponding to the clusters (defined in another manner) that you want to analyze. For these clusters the program will compute average violations using the third power averaging algorithm and print them in the log file.

### Files

option | filename | type | description
--- | --- | --- | ---
`-s` | `topol.tpr` | Input | Run input file: tpr tpb tpa
`-f` | `traj.xtc` | Input | Trajectory: xtc trr trj gro g96 pdb cpt
`-ds` | `drsum.xvg` | Output | xvgr/xmgr file
`-da` | `draver.xvg` | Output | xvgr/xmgr file
`-dn` | `drnum.xvg` | Output | xvgr/xmgr file
`-dm` | `drmax.xvg` | Output | xvgr/xmgr file
`-dr` | `restr.xvg` | Output | xvgr/xmgr file
`-l` | `disres.log` | Output | Log file
`-n` | `viol.ndx` | Input, Opt. | Index file
`-q` | `viol.pdb` | Output, Opt. | Protein data bank file
`-c` | `clust.ndx` | Input, Opt. | Index file
`-x` | `matrix.xpm` | Output, Opt. | X PixMap compatible matrix file

### Other options

option | type | default | description
--- | --- | --- | ---
`-[no]h` | gmx_bool | `no` | Print help info and quit
`-[no]version` | gmx_bool | `no` | Print version info and quit
`-nice` | int | `19` | Set the nicelevel
`-b` | time | `0` | First frame (ps) to read from trajectory
`-e` | time | `0` | Last frame (ps) to read from trajectory
`-dt` | time | `0` | Only use frame when t MOD dt = first time (ps)
`-[no]w` | gmx_bool | `no` | View output xvg, xpm, eps and pdb files
`-xvg` | enum | `xmgrace` | xvg plot formatting: `xmgrace`, `xmgr` or `none`
`-ntop` | int | `0` | Number of large violations that are stored in the log file every step
`-maxdr` | real | `0` | Maximum distance violation in matrix output. If less than or equal to 0 the maximum will be determined by the data.
`-nlevels` | int | `20` | Number of levels in the matrix output
`-[no]third` | gmx_bool | `yes` | Use inverse third power averaging or linear for matrix output

http://www.gromacs.org
gromacs@gromacs.org